Subject: Re: bug#10766: CXX gets the value 'CC' on Cygwin, but CC is in fact cc

From: Stefano Lattarini <[email-masked]>
Date: Wed, 08 Feb 2012 22:31:23 +0100

Reference:
  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10766>

[CC:ing the bug-autoconf list]

On 02/08/2012 10:04 PM, Peter Rosin wrote:
> Hi!
> 
> The testsuite on master tries to use lesser compilers, but on Cygwin
> this causes some failures due to the fact that /usr/bin/cc{.exe} is
> also recognized as /usr/bin/CC{.EXE} (due to the filesystem not being
> case sensitive), leading to CXX being set to 'CC'.
>
That is bad.  But this sounds more like an autoconf bug, since AC_PROG_CXX
isn't rejecting the C compiler as it IMHO should.  Or am I missing
something?

> But then CXX isn't a C++ compiler and some tests go downhill, namely
> silent-many-generic.test and suffix3.tap.
> 
> Or something, I didn't look all that much at it.  Maybe the failure
> in silent-many-generic.test is just a variant of the SunStudio CC
> case mentioned in the comment?
>
Or more likely some bug in our custom wrapper script kicking in.  But
let's look into this once we have solved the other, more serious issue.

Thanks,
  Stefano